Index: sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/index.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/index.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
+++ sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/index.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
@@ -0,0 +1,164 @@
+import { IconButton } from '@mui/material';
+import {
+  Wrapper,
+  Title,
+  DividerUnderTitle,
+  ParkingSpacesNumberWrapper,
+  NumberLabel,
+  NumberValue,
+  TableWrapper,
+  TopPartWrapper,
+  AddIcon,
+  DeleteIcon,
+  TableDataInput,
+} from './styles';
+
+const ParkingSpacesSector = ({
+    parkingSpacesNumber = 0,
+  parkingSpaces = [],
+  newParkingSpace = null,
+  setNewParkingSpace,
+  handleParkingSpacesChange,
+}) => {
+  return (
+      <Wrapper>
+          <TopPartWrapper>
+              <Title>Паркинг Места</Title>
+              <DividerUnderTitle />
+              <ParkingSpacesNumberWrapper>
+                  <NumberLabel>Вкупно паркинг места:</NumberLabel>
+                  <NumberValue>{parkingSpacesNumber}</NumberValue>
+              </ParkingSpacesNumberWrapper>
+          </TopPartWrapper>
+          <TableWrapper>
+              <table>
+                  <thead>
+                      <tr>
+                          <th></th>
+                          <th>Латитуда</th>
+                          <th>Лонгитуда</th>
+                          <th>Број</th>
+                          <th></th>
+                      </tr>
+                  </thead>
+                  <tbody>
+                      <tr className='add-row'>
+                          <td></td>
+                          <td className='add-td'>
+                              <TableDataInput
+                                  value={newParkingSpace?.lat ?? ''}
+                                  onChange={(e) =>
+                                      setNewParkingSpace({
+                                          ...newParkingSpace,
+                                          lat: e.target.value,
+                                      })
+                                  }
+                              />
+                          </td>
+                          <td className='add-td'>
+                              <TableDataInput
+                                  value={newParkingSpace?.lng ?? ''}
+                                  onChange={(e) =>
+                                      setNewParkingSpace({
+                                          ...newParkingSpace,
+                                          lng: e.target.value,
+                                      })
+                                  }
+                              />
+                          </td>
+                          <td className='add-td'>
+                              <TableDataInput
+                                  value={newParkingSpace?.psName ?? ''}
+                                  onChange={(e) =>
+                                      setNewParkingSpace({
+                                          ...newParkingSpace,
+                                          psName: e.target.value,
+                                      })
+                                  }
+                              />
+                          </td>
+                          <td>
+                              <IconButton
+                                  style={{ padding: 3.5 }}
+                                  onClick={() =>
+                                      handleParkingSpacesChange({ type: 'add' })
+                                  }
+                              >
+                                  <AddIcon />
+                              </IconButton>
+                          </td>
+                      </tr>
+                      {parkingSpaces &&
+                          parkingSpaces.map(({ lat, lng, psName }, index) => (
+                              <tr key={index}>
+                                  <td>
+                                      <IconButton
+                                          style={{ padding: 3.5 }}
+                                          onClick={() =>
+                                              handleParkingSpacesChange({
+                                                  type: 'delete',
+                                                  payload: {
+                                                      index,
+                                                  },
+                                              })
+                                          }
+                                      >
+                                          <DeleteIcon />
+                                      </IconButton>
+                                  </td>
+                                  <td>
+                                      <TableDataInput
+                                          value={lat}
+                                          onChange={(e) =>
+                                              handleParkingSpacesChange({
+                                                  type: 'update',
+                                                  payload: {
+                                                      index,
+                                                      column: 'lat',
+                                                      value: e.target.value,
+                                                  },
+                                              })
+                                          }
+                                      />
+                                  </td>
+                                  <td>
+                                      <TableDataInput
+                                          value={lng}
+                                          onChange={(e) =>
+                                              handleParkingSpacesChange({
+                                                  type: 'update',
+                                                  payload: {
+                                                      index,
+                                                      column: 'lng',
+                                                      value: e.target.value,
+                                                  },
+                                              })
+                                          }
+                                      />
+                                  </td>
+                                  <td>
+                                      <TableDataInput
+                                          value={psName}
+                                          onChange={(e) =>
+                                              handleParkingSpacesChange({
+                                                  type: 'update',
+                                                  payload: {
+                                                      index,
+                                                      column: 'psName',
+                                                      value: e.target.value,
+                                                  },
+                                              })
+                                          }
+                                      />
+                                  </td>
+                                  <td></td>
+                              </tr>
+                          ))}
+                  </tbody>
+              </table>
+          </TableWrapper>
+      </Wrapper>
+  );
+};
+
+export default ParkingSpacesSector;
Index: sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/styles.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/styles.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
+++ sources/client/src/components/admin/ParkingZoneInfoEdit/ParkingSpacesSectorEdit/styles.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
@@ -0,0 +1,160 @@
+import styled from 'styled-components';
+import { Typography, Divider } from '@mui/material';
+import AddCircleOutlineIcon from '@mui/icons-material/AddCircleOutline';
+import HighlightOffIcon from '@mui/icons-material/HighlightOff';
+
+export const Wrapper = styled.div`
+  width: 100%;
+  height: 380px;
+  border: 1px solid ${(props) => props.theme.palette.background.shadow};
+  box-shadow: 15px 15px 10px ${(props) => props.theme.palette.background.shadow};
+`;
+
+export const TopPartWrapper = styled.div`
+  width: 100%;
+  padding: 10px 20px 0 20px;
+  text-align: center;
+`;
+
+export const Title = styled(Typography).attrs({
+  variant: 'h4',
+  textAlign: 'center',
+  marginBottom: '10px',
+  fontSize: '1.7rem',
+  fontWeight: 500,
+})``;
+
+export const DividerUnderTitle = styled(Divider).attrs({
+  sx: {
+    borderBottomWidth: '2px',
+  },
+})``;
+
+export const ParkingSpacesNumberWrapper = styled.div`
+  margin-top: 15px;
+  display: flex;
+  flex-direction: row;
+  width: 100%;
+  justify-content: space-evenly;
+`;
+
+export const NumberLabel = styled.p`
+  font-size: 1.4rem;
+  margin: 0;
+`;
+
+export const NumberValue = styled.p`
+  font-size: 1.6rem;
+  font-weight: 500;
+  margin: 0;
+`;
+
+export const TableWrapper = styled.div`
+    width: 100%;
+    margin: auto;
+    text-align: center;
+    margin-top: 15px;
+    padding-left: 10px;
+    padding-right: 10px;
+    table {
+        border-spacing: 0;
+        border-bottom: 0;
+        word-break: break-all;
+        font-size: 1.2rem;
+    }
+
+    table tbody {
+        display: block;
+        max-height: 200px;
+        overflow-y: auto;
+    }
+    tbody::-webkit-scrollbar {
+        display: none;
+    }
+    table thead,
+    table tbody tr {
+        display: table;
+        width: 100%;
+        table-layout: fixed;
+    }
+
+    th {
+        padding: 10px 5px;
+    }
+
+    th {
+        border-bottom: 2px solid black;
+        border-left: 2px solid black;
+        :first-of-type {
+            width: 56px;
+            border: 0;
+        }
+        :nth-of-type(2),
+        :nth-of-type(3),
+        :nth-of-type(4) {
+            border-top: 1px solid black;
+        }
+        :nth-of-type(2) {
+            border-left: 1px solid black;
+        }
+        :nth-of-type(4) {
+            width: 90px;
+            border-right: 1px solid black;
+        }
+        :last-of-type {
+            width: 56px;
+            border: 0;
+        }
+    }
+    td {
+        border-left: 2px solid black;
+        border-bottom: 1px solid black;
+        text-overflow: ellipsis;
+    }
+    tr td:first-of-type {
+        width: 56px;
+        border: 0;
+    }
+    tr td:nth-of-type(2) {
+        border-left: 1px solid black;
+    }
+    tr td:nth-of-type(4) {
+        width: 90px;
+        border-right: 1px solid black;
+    }
+    tr td:last-of-type {
+        border: 0;
+        width: 56px;
+    }
+    tr:last-of-type td {
+        border-bottom: 0;
+    }
+`;
+
+export const AddIcon = styled(AddCircleOutlineIcon).attrs((props) => ({
+  sx: {
+    fontSize: '2.5rem',
+    color: props.theme.palette.primary.main,
+  },
+}))``;
+
+export const DeleteIcon = styled(HighlightOffIcon).attrs((props) => ({
+  sx: {
+    fontSize: '2.5rem',
+    color: props.theme.palette.error.main,
+  },
+}))``;
+
+export const TableDataInput = styled.input`
+  width: 100%;
+  height: 47px;
+  padding: 3.5px 5px;
+  border: 0;
+  font-size: 1.2rem;
+  text-align: center;
+
+  &:focus {
+    background-color: rgba(0, 173, 124, 0.2);
+    font-weight: 600;
+  }
+`;
Index: sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/index.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/index.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
+++ sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/index.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
@@ -0,0 +1,185 @@
+import { useState } from 'react';
+import {
+  Wrapper,
+  TitleAndDividerWrapper,
+  Title,
+  DividerUnderTitle,
+  TableWrapper,
+  Elipsis,
+  AddIcon,
+  DeleteIcon,
+  ModalContainer,
+  CloseIcon,
+  ModalCard,
+  ModalCardKeyAndValueWrapper,
+  ModalCardKey,
+  ModalCardValue,
+  AddIconCard,
+  ModalCardsContainer,
+  ModalKeyAndValueDivider,
+  ModalNoMoreEmplyees,
+} from './styles';
+import Modal from '@mui/material/Modal';
+import Backdrop from '@mui/material/Backdrop';
+import { IconButton, Slide } from '@mui/material';
+import AbsoluteLoader from '../../../Loaders/AbsoluteLoader';
+
+const AddEmployeeCard = ({ workerId, email, firstName, lastName, handleChange }) => (
+  <ModalCard>
+    <IconButton
+      style={{
+        position: 'absolute',
+        right: -60,
+      }}
+      onClick={() =>
+        handleChange({
+          type: 'add',
+          person: { workerId, email, firstName, lastName },
+        })
+      }
+    >
+      <AddIconCard />
+    </IconButton>
+    <ModalCardKeyAndValueWrapper style={{ width: '250px' }}>
+      <ModalCardKey>Емаил:</ModalCardKey>
+      <ModalCardValue>{email}</ModalCardValue>
+    </ModalCardKeyAndValueWrapper>
+    <ModalKeyAndValueDivider />
+    <ModalCardKeyAndValueWrapper style={{ width: '130px' }}>
+      <ModalCardKey>Име:</ModalCardKey>
+      <ModalCardValue>{firstName}</ModalCardValue>
+    </ModalCardKeyAndValueWrapper>
+    <ModalKeyAndValueDivider />
+    <ModalCardKeyAndValueWrapper style={{ width: '130px' }}>
+      <ModalCardKey>Презиме:</ModalCardKey>
+      <ModalCardValue>{lastName}</ModalCardValue>
+    </ModalCardKeyAndValueWrapper>
+  </ModalCard>
+);
+
+const ResponsiblePersonsSectorEdit = ({
+    responsiblePersons,
+    employeesDataModal,
+    handleChange,
+    isLoadingResponsiblePersonsData,
+}) => {
+    const [isModalOpen, setModalOpen] = useState(false);
+    return (
+        <>
+            <Modal
+                open={isModalOpen}
+                closeAfterTransition
+                BackdropComponent={Backdrop}
+                BackdropProps={{
+                    timeout: 500,
+                    onClick: () => setModalOpen(false),
+                }}
+                style={{
+                    display: 'flex',
+                    alignItems: 'center',
+                    justifyContent: 'center',
+                }}
+            >
+                <Slide in={isModalOpen}>
+                    <ModalContainer>
+                        <IconButton
+                            style={{
+                                marginLeft: 640,
+                            }}
+                            onClick={() => setModalOpen(false)}
+                        >
+                            <CloseIcon />
+                        </IconButton>
+                        <ModalCardsContainer>
+                            {isLoadingResponsiblePersonsData ? (
+                                <AbsoluteLoader
+                                    containerStyle={{
+                                        width: '200px',
+                                        height: '200px',
+                                        margin: 'auto',
+                                        marginTop: '30px',
+                                    }}
+                                />
+                            ) : (
+                                <>
+                                    {employeesDataModal.length === 0 ? (
+                                        <ModalNoMoreEmplyees>
+                                            Нема Повеќе Вработени
+                                        </ModalNoMoreEmplyees>
+                                    ) : (
+                                        employeesDataModal.map((emp) => (
+                                            <AddEmployeeCard
+                                                {...emp}
+                                                key={emp.workerId}
+                                                handleChange={handleChange}
+                                            />
+                                        ))
+                                    )}
+                                </>
+                            )}
+                        </ModalCardsContainer>
+                    </ModalContainer>
+                </Slide>
+            </Modal>
+            <Wrapper>
+                <TitleAndDividerWrapper>
+                    <Title>Одговорни Лица</Title>
+                    <DividerUnderTitle />
+                </TitleAndDividerWrapper>
+                <TableWrapper>
+                    <IconButton
+                        style={{
+                            position: 'absolute',
+                            right: 5,
+                        }}
+                        onClick={() => setModalOpen(true)}
+                    >
+                        <AddIcon />
+                    </IconButton>
+                    <table>
+                        <thead>
+                            <tr>
+                                <th></th>
+                                <th>Име</th>
+                                <th>Презиме</th>
+                                <th>Повеќе</th>
+                            </tr>
+                        </thead>
+                        <tbody>
+                            {responsiblePersons.map((person, index) => {
+                                return (
+                                    <tr key={index}>
+                                        <td>
+                                            <IconButton
+                                                onClick={() =>
+                                                    handleChange({
+                                                        type: 'delete',
+                                                        person,
+                                                    })
+                                                }
+                                            >
+                                                <DeleteIcon />
+                                            </IconButton>
+                                        </td>
+                                        <td>{person.firstName}</td>
+                                        <td>{person.lastName}</td>
+                                        <td>
+                                            <Elipsis
+                                                target='_blank'
+                                                to={`/employees/${person.id}`}
+                                            >
+                                                ...
+                                            </Elipsis>
+                                        </td>
+                                    </tr>
+                                );
+                            })}
+                        </tbody>
+                    </table>
+                </TableWrapper>
+            </Wrapper>
+        </>
+    );
+};
+
+export default ResponsiblePersonsSectorEdit;
Index: sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/styles.js
===================================================================
--- sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/styles.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
+++ sources/client/src/components/admin/ParkingZoneInfoEdit/ResponsiblePersonsSectorEdit/styles.js	(revision bc20307a9fafa202ad52835e03582454a2a4242d)
@@ -0,0 +1,225 @@
+import styled from 'styled-components';
+import { Typography, Divider } from '@mui/material';
+import { Link } from 'react-router-dom';
+import AddCircleOutlineIcon from '@mui/icons-material/AddCircleOutline';
+import AddCircleIcon from '@mui/icons-material/AddCircle';
+import HighlightOffIcon from '@mui/icons-material/HighlightOff';
+import Box from '@mui/material/Box';
+import CIcon from '@mui/icons-material/Close';
+
+export const Wrapper = styled.div`
+  width: 100%;
+  height: 290px;
+  border: 1px solid ${(props) => props.theme.palette.background.shadow};
+  box-shadow: 15px 8px 10px ${(props) => props.theme.palette.background.shadow};
+`;
+
+export const TitleAndDividerWrapper = styled.div`
+  width: 100%;
+  padding: 10px 20px 0 20px;
+`;
+
+export const Title = styled(Typography).attrs({
+  variant: 'h4',
+  textAlign: 'center',
+  marginBottom: '10px',
+  fontSize: '1.7rem',
+  fontWeight: 500,
+})``;
+
+export const DividerUnderTitle = styled(Divider).attrs({
+  sx: {
+    borderBottomWidth: '2px',
+  },
+})``;
+
+export const TableWrapper = styled.div`
+  width: 100%;
+  margin: auto;
+  text-align: center;
+  margin-top: 15px;
+  padding-left: 10px;
+  padding-right: 66px;
+  position: relative;
+  table {
+    border-spacing: 0;
+    border-bottom: 0;
+    word-break: break-all;
+    font-size: 1.2rem;
+  }
+
+  table tbody {
+    display: block;
+    max-height: 160px;
+    overflow-y: auto;
+  }
+  tbody::-webkit-scrollbar {
+    display: none;
+  }
+  table thead,
+  table tbody tr {
+    display: table;
+    width: 100%;
+    table-layout: fixed;
+  }
+  th:last-of-type {
+    width: 90px;
+    border-right: 1px solid black;
+  }
+  th:not(:first-of-type) {
+    border-top: 1px solid black;
+  }
+  th,
+  td {
+    padding: 10px 5px;
+  }
+  th:nth-of-type(2),
+  td:nth-of-type(2) {
+    border-left: 1px solid black;
+  }
+  th {
+    border-bottom: 2px solid black;
+    border-left: 2px solid black;
+    :first-of-type {
+      width: 56px;
+      border: 0;
+    }
+  }
+  td {
+    border-left: 2px solid black;
+    border-bottom: 1px solid black;
+  }
+  tr td:first-of-type {
+    width: 56px;
+    border: 0;
+    padding: 0;
+  }
+  tr td:last-of-type {
+    width: 90px;
+    padding-bottom: 0;
+    border-right: 1px solid black;
+  }
+  tr:last-of-type td {
+    border-bottom: 0;
+  }
+`;
+
+export const Elipsis = styled(Link)`
+  text-decoration: none;
+  font-size: 35px;
+  line-height: 0px;
+  font-weight: 900;
+  letter-spacing: 2px;
+  color: ${(props) => props.theme.palette.third.main};
+
+  :hover {
+    cursor: pointer;
+  }
+`;
+
+export const AddIcon = styled(AddCircleOutlineIcon).attrs((props) => ({
+  sx: {
+    fontSize: '2.5rem',
+    color: props.theme.palette.primary.main,
+  },
+}))``;
+
+export const DeleteIcon = styled(HighlightOffIcon).attrs((props) => ({
+  sx: {
+    fontSize: '2.5rem',
+    color: props.theme.palette.error.main,
+  },
+}))``;
+
+export const ModalContainer = styled(Box).attrs({
+  width: 720,
+  height: 350,
+  bgcolor: 'background.paper',
+  boxShadow: 24,
+  zIndex: 1000,
+  marginBottom: '10%',
+  position: 'relative',
+  borderRadius: '15px',
+})`
+  padding: 0 25px 16px 25px;
+`;
+
+export const ModalCardsContainer = styled.div`
+  height: 285px;
+  overflow: auto;
+  overflow-x: hidden;
+  > div:not(:first-of-type) {
+    margin-top: 15px;
+  }
+
+  ::-webkit-scrollbar-thumb {
+    background: #888;
+  }
+  ::-webkit-scrollbar {
+    // display: none;
+    // background-color: red;
+  }
+`;
+export const ModalNoMoreEmplyees = styled(Typography).attrs({
+  variant: 'h3',
+})`
+  width: 100%;
+  text-align: center;
+  color: grey;
+  margin-top: 91px;
+`;
+export const CloseIcon = styled(CIcon).attrs({
+  sx: {
+    color: 'red',
+    fontSize: '2.5rem',
+  },
+})``;
+
+export const ModalCard = styled.div`
+  width: 600px;
+  height: 60px;
+  border-radius: 50px;
+  padding: 5px 10px;
+  background-color: #03c04a;
+  display: flex;
+  flex-direction: row;
+  justify-content: space-between;
+  align-items: center;
+  position: relative;
+  color: white;
+  letter-spacing: 0.1px;
+`;
+
+export const ModalCardKeyAndValueWrapper = styled.div`
+  display: flex;
+  flex-direction: column;
+  align-items: center;
+  overflow: hidden;
+`;
+
+export const ModalKeyAndValueDivider = styled(Divider).attrs({
+  orientation: 'vertical',
+  sx: {
+    borderRightWidth: '2px',
+  },
+})``;
+
+export const ModalCardKey = styled.p`
+  font-size: 0.9rem;
+  margin: 0;
+`;
+
+export const ModalCardValue = styled.p`
+  font-size: 1rem;
+  font-weight: 500;
+  margin: 0;
+  width: 100%;
+  text-align: center;
+`;
+
+export const AddIconCard = styled(AddCircleIcon).attrs((props) => ({
+  sx: {
+    fontSize: '2.5rem',
+    color: props.theme.palette.primary.main,
+  },
+}))``;
